net.minecraft.tileentity

## Class TileEntityPiston

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityPiston

-     public class TileEntityPiston
      extends TileEntity

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, tileEntityInvalid, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityPiston()`
    `TileEntityPiston(Block p_i45444_1_, int p_i45444_2_, int p_i45444_3_, boolean p_i45444_4_, boolean p_i45444_5_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearPistonTileEntity()`
    `float` | `func_145859_d(float p_145859_1_)`
    `float` | `func_145860_a(float p_145860_1_)`
    `float` | `func_145862_c(float p_145862_1_)`
    `float` | `func_145865_b(float p_145865_1_)`
    `boolean` | `func_145867_d()`
    `int` | `getBlockMetadata()`
    `int` | `getPistonOrientation()`
    `Block` | `getStoredBlockID()`
    `boolean` | `isExtending()`
    `void` | `readFromNBT(NBTTagCompound p_145839_1_)`
    `void` | `updateEntity()`
    `void` | `writeToNBT(NBTTagCompound p_145841_1_)`

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_145828_a, getBlockType, getDescriptionPacket, getDistanceFrom, getMaxRenderDistanceSquared, getRenderBoundingBox, getWorldObj, hasWorldObj, invalidate, isInvalid, markDirty, onChunkUnload, onDataPacket, receiveClientEvent, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TileEntityPiston

          public TileEntityPiston()

    - #### TileEntityPiston

          public TileEntityPiston(Block p_i45444_1_,
                          int p_i45444_2_,
                          int p_i45444_3_,
                          boolean p_i45444_4_,
                          boolean p_i45444_5_)

  - ### Method Detail

    - #### getStoredBlockID

          public Block getStoredBlockID()

    - #### getBlockMetadata

          public int getBlockMetadata()

      Overrides:
        `getBlockMetadata` in class `TileEntity`

    - #### isExtending

          public boolean isExtending()

    - #### getPistonOrientation

          public int getPistonOrientation()

    - #### func_145867_d

          public boolean func_145867_d()

    - #### func_145860_a

          public float func_145860_a(float p_145860_1_)

    - #### func_145865_b

          public float func_145865_b(float p_145865_1_)

    - #### func_145862_c

          public float func_145862_c(float p_145862_1_)

    - #### func_145859_d

          public float func_145859_d(float p_145859_1_)

    - #### clearPistonTileEntity

          public void clearPistonTileEntity()

    - #### updateEntity

          public void updateEntity()

      Overrides:
        `updateEntity` in class `TileEntity`

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound p_145839_1_)

      Overrides:
        `readFromNBT` in class `TileEntity`

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound p_145841_1_)

      Overrides:
        `writeToNBT` in class `TileEntity`